#include "header.h"
using namespace STDP;

int main(void)
{
	//Ajustes iniciales
	StdPijo& stdp = StdPijo::p();
	stdp.init();
	stdp.clearScreen();
    stdp.setGlobalEscapeDelay(0);
    srand(time(NULL));

    //Declaración de variables
    Mapa map;
    Nave nave;
    Jugador temp;
    Jugador player;
    Sistema system;
    string nombre="";
    int tecla = 0;
    int opcion = 0;
    bool existe = 0;

    //Núcleo
    do
    {
		Menu::Inicio();

		do{ tecla=stdp.getKey(); }while(tecla != KENTER);

		cin >> nombre;

		stdp.setCursor(11,17);
		stdp.writeStr("El nombre que has introducido es ");
		stdp.writeStr(nombre.c_str());

		stdp.setCursor(11,19);
		stdp.writeStr("¿Es correcto?");

    }while(!Menu::ConfirmacionPr());

    system.cargarPerfiles();

    for(int i=0;i<system.getnP();i++)
    {
        temp=system.getPerfil(i);
        if(nombre==temp.getNombre())
        {
        	player=temp;
        	system.borrarPerfil(i);
			existe = 1;
        }
    }

    if(!existe) { player.setNombre(nombre); }

	system.cargarRanking(map.getDif());

	stdp.clearScreen();

    //Menú principal

	do
	{
		opcion = Menu::Principal();

		switch(opcion)
		{
		case 1:
			map.Juego(nave);
			player.setPuntuacion(map.getPuntuacion());
			if(player.getPuntuacion() != 0) { map.Desbloquear(player); }
			system.insertarRank(player);
			switch(map.getDif())
			{
			case 1: player.setFacil(system.sacaRank(player)); break;
			case 2: player.setNormal(system.sacaRank(player)); break;
			case 3: player.setDificil(system.sacaRank(player)); break;
			case 4: player.setMuydificil(system.sacaRank(player)); break;
			}
			system.guardarRanking(map.getDif());
			break;
		case 2:
			Menu::Perfil(player);
			break;
		case 3:
			system.cargarRanking(map.getDif());
			Menu::Ranking(system, map.getDif());
			break;
		case 4:
			break;
		case 5:
			map.setDif(Menu::Dificultad(player));
			system.cargarRanking(map.getDif());
			break;
		}
	}while(opcion != 6);

	system.insertarPerfil(player);

	system.guardarPerfiles();

    stdp.end();

    return 0;
}




