#include "header.h"
using namespace STDP;

int Menu::Mover(int posicion, int tope, bool posible)
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();
	int tecla = 0;

	do{ tecla=stdp.getKey(); }while(tecla!= KENTER && tecla != KUP && tecla != KDOWN);

	switch(tecla)
	{
	case KUP:
		if(posicion>1)	{ posicion--; return posicion; }
		else			{ return posicion; }
		break;
	case KDOWN:
		if(posicion<tope)	{ posicion++; return posicion; }
		else				{ return posicion; }
		break;
	case KENTER:
		if(posible)	{ return 0; }
		else
		{
			stdp.setCursor(7,9); stdp.setColor(ABOLD,CBLACK,CGREEN); stdp.writeStr("                                                                  ");
			stdp.setCursor(7,10); stdp.writeStr("             Aún no has desbloqueado esta dificultad              ");
			stdp.setCursor(7,11); stdp.writeStr("                                                                  ");
			stdp.setCursor(7,12); stdp.writeStr("  Supera un mapa de la dificultad anterior para desbloquear esta  ");
			stdp.setCursor(7,13); stdp.writeStr("                                                                  ");
			stdp.refreshScr();
			usleep(5000000);
			return posicion;
		}
		break;
	}
}

int Menu::Principal()
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();
	int posX=27;
	int posY=1;
	int posicion = 1;
	int opcion = posicion;

	do
	{
		stdp.clearScreen();
		stdp.setColor(ABOLD,CRED,CBLACK);

		stdp.setCursor(posX,posY); stdp.writeStr("                  __");
		stdp.setCursor(posX,posY+1); stdp.writeStr("     /|/| | |"); stdp.writeChar('\\'); stdp.writeStr(" | |__");
		stdp.setCursor(posX,posY+2); stdp.writeStr("    /   | | | "); stdp.writeChar('\\'); stdp.writeStr("| |__");
		stdp.setCursor(posX,posY+3); stdp.writeStr(" _   _   _   __   __  _");
		stdp.setCursor(posX,posY+4); stdp.writeStr("| "); stdp.writeChar('\\'); stdp.writeStr(" | | | "); stdp.writeChar('\\'); stdp.writeStr(" | _  |__ |_|");
		stdp.setCursor(posX,posY+5); stdp.writeStr("|_/ |_| |_/ |__| |__ |"); stdp.writeChar('\\');

		switch(opcion)
		{
		case 1:
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("            > JUGAR <            ");
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("              PERFIL             ");
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("             RANKINGS            ");
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("              LOGROS             ");
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("            DIFICULTAD           ");
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("              SALIR              ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 2:
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("              JUGAR              ");
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("            > PERFIL <           ");
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("             RANKINGS            ");
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("              LOGROS             ");
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("            DIFICULTAD           ");
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("              SALIR              ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 3:
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("              JUGAR              ");
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("              PERFIL             ");
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("           > RANKINGS <          ");
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("              LOGROS             ");
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("            DIFICULTAD           ");
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("              SALIR              ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 4:
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("              JUGAR              ");
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("              PERFIL             ");
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("             RANKINGS            ");
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("            > LOGROS <           ");
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("            DIFICULTAD           ");
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("              SALIR              ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 5:
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("              JUGAR              ");
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("              PERFIL             ");
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("             RANKINGS            ");
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("              LOGROS             ");
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("          > DIFICULTAD <         ");
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("              SALIR              ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 6:
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.setCursor(posX-4,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+9); stdp.writeStr("              JUGAR              ");
			stdp.setCursor(posX-4,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+11); stdp.writeStr("              PERFIL             ");
			stdp.setCursor(posX-4,posY+12); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+13); stdp.writeStr("             RANKINGS            ");
			stdp.setCursor(posX-4,posY+14); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+15); stdp.writeStr("              LOGROS             ");
			stdp.setCursor(posX-4,posY+16); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+17); stdp.writeStr("            DIFICULTAD           ");
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX-4,posY+18); stdp.writeStr("                                 ");
			stdp.setCursor(posX-4,posY+19); stdp.writeStr("            > SALIR <            ");
			stdp.setCursor(posX-4,posY+20); stdp.writeStr("                                 ");
			stdp.refreshScr();
			posicion=Mover(posicion,6,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		}
	}while(posicion != 0);
	return opcion;
}

void Menu::Perfil(Jugador player)
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();

	int posX=28;
	int posY=4;
	int tecla = 0;

	stdp.clearScreen();

	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("   _   _  _   _       ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("  |_| |_ |_| |_ | |   ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("  |   |_ |"); stdp.writeChar('\\'); stdp.writeStr("  |  | |_  ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("                      ");

	posY+=5;
	posX-=5;

	for(int i=0;i<13;i++) { stdp.setCursor(posX,posY+i); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("                                 "); }
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   NOMBRE:");
	stdp.setCursor(posX+16,posY+1); stdp.setColor(ANORMAL,CBLACK,CRED); stdp.writeStr(player.getNombre().c_str());
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   Posiciones en los Rankings");
	stdp.setCursor(posX,posY+5); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   FACIL:");
	stdp.setCursor(posX+16,posY+5); stdp.setColor(ANORMAL,CBLACK,CRED);
	stringstream facil; facil << player.getFacil(); string resultado=facil.str(); stdp.writeStr(resultado.c_str());
	stdp.setCursor(posX,posY+7); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   NORMAL:");
	stdp.setCursor(posX+16,posY+7); stdp.setColor(ANORMAL,CBLACK,CRED);
	stringstream normal; normal << player.getNormal(); resultado=normal.str(); stdp.writeStr(resultado.c_str());
	stdp.setCursor(posX,posY+9); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   DIFICIL:");
	stdp.setCursor(posX+16,posY+9); stdp.setColor(ANORMAL,CBLACK,CRED);
	stringstream dificil; dificil << player.getDificil(); resultado=dificil.str(); stdp.writeStr(resultado.c_str());
	stdp.setCursor(posX,posY+11); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("   MUY DIFICIL:");
	stdp.setCursor(posX+16,posY+11); stdp.setColor(ANORMAL,CBLACK,CRED);
	stringstream muydificil; muydificil << player.getMuydificil(); resultado=muydificil.str(); stdp.writeStr(resultado.c_str());

	stdp.refreshScr();

	do{ tecla=stdp.getKey(); }while(tecla != KESCAPE);
}

void Menu::Ranking(Sistema system, int dif)
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();

	int posX=28;
	int posY=1;
	int tecla = 0;
	string dificultad="";
	Jugador temp;

	switch(dif)
	{
	case 1: dificultad = "FACIL"; break;
	case 2: dificultad = "NORMAL"; break;
	case 3: dificultad = "DIFICIL"; break;
	case 4: dificultad = "MUY DIFICIL"; break;
	}

	stdp.clearScreen();

	stdp.setCursor(posX-2,posY); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr(" _   _                  __");
	stdp.setCursor(posX-2,posY+1); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("|_| |_| |"); stdp.writeChar('\\'); stdp.writeStr(" | |/ | |"); stdp.writeChar('\\'); stdp.writeStr(" | | _");
	stdp.setCursor(posX-2,posY+2); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeChar('|'); stdp.writeChar('\\'); stdp.writeStr("  | | | "); stdp.writeChar('\\'); stdp.writeStr("| |"); stdp.writeChar('\\'); stdp.writeStr(" | | "); stdp.writeChar('\\'); stdp.writeStr("| |__|");
	stdp.setCursor(posX-2,posY+3); stdp.setColor(ABOLD,CRED,CBLACK); stdp.writeStr("                      ");

	posY+=4;
	posX-=2;

	stdp.setCursor(posX-3,posY); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr(dificultad.c_str());

	posY+=2;

	for(int i=0;i<((((system.getnR()/2)+(system.getnR()%2))*3)+1);i++) { stdp.setCursor(posX-3,posY+i); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr("                                 "); }

	posY++;

	for(int i=0;i<system.getnR();i++)
	{
		temp=system.getRank(i);

		if(i<(system.getnR()/2))
		{
			stdp.setCursor(posX,posY+(i*3)); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr(temp.getNombre().c_str());
			stdp.setCursor(posX,posY+(i*3)+1); stdp.setColor(ABOLD,CWHITE,CRED);
			stringstream puntuacion; puntuacion << temp.getPuntuacion(); string resultado=puntuacion.str(); stdp.writeStr(resultado.c_str());
		}
		else
		{
			posX=43;

			stdp.setCursor(posX,posY+((i-(system.getnR()/2))*3)); stdp.setColor(ABOLD,CWHITE,CRED); stdp.writeStr(temp.getNombre().c_str());
			stdp.setCursor(posX,posY+((i-(system.getnR()/2))*3)+1); stdp.setColor(ABOLD,CWHITE,CRED);
			stringstream puntuacion; puntuacion << temp.getPuntuacion(); string resultado=puntuacion.str(); stdp.writeStr(resultado.c_str());
		}
	}

	stdp.refreshScr();

	do{ tecla=stdp.getKey(); }while(tecla != KESCAPE);
}

void Menu::Inicio()
{
	//Ajustes iniciales
	StdPijo& stdp = StdPijo::p();
	stdp.init();
	int posX=11;
	int posY=0;

	stdp.clearScreen();
	stdp.setColor(ANORMAL,CRED,CBLACK);

	stdp.setCursor(posX,posY); stdp.writeStr("               _    __   _   __     _   ____");
	stdp.setCursor(posX,posY+1); stdp.writeStr("              / "); stdp.writeChar('\\'); stdp.writeStr("  /  | | | |  "); stdp.writeChar('\\'); stdp.writeStr("   | | |  __"); stdp.writeChar('\\');
	stdp.setCursor(posX,posY+2); stdp.writeStr("             / /"); stdp.writeChar('\\'); stdp.writeChar('\\'); stdp.writeStr("//| | | | | |"); stdp.writeChar('\\'); stdp.writeChar('\\'); stdp.writeStr("  | | | |____");
	stdp.setCursor(posX,posY+3); stdp.writeStr("            / /  "); stdp.writeChar('\\'); stdp.writeStr("/ | | | | | | "); stdp.writeChar('\\'); stdp.writeChar('\\'); stdp.writeStr(" | | |  ____"); stdp.writeChar('\\');
	stdp.setCursor(posX,posY+4); stdp.writeStr("           / /      | | | | | |  "); stdp.writeChar('\\'); stdp.writeChar('\\'); stdp.writeStr("| | | |______");
	stdp.setCursor(posX,posY+5); stdp.writeStr("          /_/       |_| |_| |_|   "); stdp.writeChar('\\'); stdp.writeStr("__| |________"); stdp.writeChar('\\');



	stdp.setCursor(posX,posY+6); stdp.writeStr(" _____     _______   _____     _______   _______   _____");
	stdp.setCursor(posX,posY+7); stdp.writeStr("|  __ "); stdp.writeChar('\\'); stdp.writeStr("   |  ___  | |  __ "); stdp.writeChar('\\'); stdp.writeStr("   |  _____| |  _____| |  _  |");
	stdp.setCursor(posX,posY+8); stdp.writeStr("| |  "); stdp.writeChar('\\'); stdp.writeChar(' '); stdp.writeChar('\\'); stdp.writeStr("  | |   | | | |  "); stdp.writeChar('\\'); stdp.writeChar(' '); stdp.writeChar('\\'); stdp.writeStr("  | |  ___  | |_____  | |_| |");
	stdp.setCursor(posX,posY+9); stdp.writeStr("| |   | | | |   | | | |   | | | | |_  | |  _____| |    _|");
	stdp.setCursor(posX,posY+10); stdp.writeStr("| |__/ /  | |___| | | |__/ /  | |___| | | |_____  | |"); stdp.writeChar('\\'); stdp.writeChar(' '); stdp.writeChar('\\');
	stdp.setCursor(posX,posY+11); stdp.writeStr("|_____/   |_______| |_____/   |_______| |_______| |_| "); stdp.writeChar('\\'); stdp.writeChar('_'); stdp.writeChar('\\');


	stdp.setColor(ANORMAL,CWHITE,CBLACK);
	stdp.setCursor(11,posY+13);
	stdp.writeStr("Escribe tu nombre de jugador entre espacios para entrar");
	stdp.setCursor(11,posY+15);
	stdp.writeStr("Ejemplo: ' Igseth '");
}

bool Menu::ConfirmacionPr()
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();
	int tecla = 0;
	bool confirmacion = 0;

	do
	{
		if(!confirmacion)
		{
			stdp.setCursor(12,21);
			stdp.setColor(ANORMAL,CWHITE,CBLACK);
			stdp.writeStr("SI");

			stdp.setCursor(17,21);
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.writeStr("NO");
		}
		else
		{
			stdp.setCursor(12,21);
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.writeStr("SI");

			stdp.setCursor(17,21);
			stdp.setColor(ANORMAL,CWHITE,CBLACK);
			stdp.writeStr("NO");
		}

		do { tecla=stdp.getKey(); }while(tecla != KENTER && tecla != KLEFT && tecla != KRIGHT);

		switch(tecla)
		{
		case KLEFT:
			if(!confirmacion)
			{
				confirmacion=!confirmacion;

				stdp.setCursor(12,21);
				stdp.setColor(ANORMAL,CWHITE,CRED);
				stdp.writeStr("SI");

				stdp.setCursor(17,21);
				stdp.setColor(ANORMAL,CWHITE,CBLACK);
				stdp.writeStr("NO");

				stdp.refreshScr();
			}
			break;
		case KRIGHT:
			if(confirmacion)
			{
				confirmacion=!confirmacion;

				stdp.setCursor(12,21);
				stdp.setColor(ANORMAL,CWHITE,CBLACK);
				stdp.writeStr("SI");

				stdp.setCursor(17,21);
				stdp.setColor(ANORMAL,CWHITE,CRED);
				stdp.writeStr("NO");

				stdp.refreshScr();
			}
			break;
		}
	}while(tecla != KENTER);

	return confirmacion;
}

bool Menu::GameOver()
{
	//Ajustes iniciales
	StdPijo& stdp = StdPijo::p();
	stdp.init();

	int posX=16;
	int posY=2;
	int OriX=posX;

	//G
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+4,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("      ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");

	posX+=12;

	//A
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");

	posX+=12;

	//M
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("    ");
	stdp.setCursor(posX+6,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("    ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+4,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");

	posX+=12;

	//E
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");

	posY+=6;

	posX=OriX;

	//O
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");

	posX+=12;

	//V
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+2,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+6,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+2,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+6,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+4,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");

	posX+=12;

	//E
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");

	posX+=12;

	//R
	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+1); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("          ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+4,posY+3); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("    ");
	stdp.setCursor(posX,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");
	stdp.setCursor(posX+8,posY+4); stdp.setColor(ABOLD,CWHITE,CWHITE); stdp.writeStr("  ");

	posY+=8;

	bool seguir = 0;
	int tecla = 0;

	do
	{
		if(!seguir)
		{
			stdp.setCursor(24,posY); stdp.setColor(ABOLD,CBLUE,CYELLOW); stdp.writeStr("REINTENTAR");
			stdp.setCursor(44,posY); stdp.setColor(ABOLD,CYELLOW,CBLUE); stdp.writeStr("SALIR");
		}
		else
		{
			stdp.setCursor(24,posY); stdp.setColor(ABOLD,CYELLOW,CBLUE); stdp.writeStr("REINTENTAR");
			stdp.setCursor(44,posY); stdp.setColor(ABOLD,CBLUE,CYELLOW); stdp.writeStr("SALIR");
		}

		do{ tecla=stdp.getKey(); }while(tecla != KENTER && tecla != KLEFT && tecla != KRIGHT);

		switch(tecla)
		{
		case KRIGHT:
			if(!seguir)
			{
				seguir=!seguir;

				stdp.setCursor(24,posY); stdp.setColor(ABOLD,CBLUE,CYELLOW); stdp.writeStr("REINTENTAR");
				stdp.setCursor(44,posY); stdp.setColor(ABOLD,CYELLOW,CBLUE); stdp.writeStr("SALIR");

				stdp.refreshScr();
			}
			break;
		case KLEFT:
			if(seguir)
			{
				seguir=!seguir;

				stdp.setCursor(24,posY); stdp.setColor(ABOLD,CYELLOW,CBLUE); stdp.writeStr("REINTENTAR");
				stdp.setCursor(44,posY); stdp.setColor(ABOLD,CBLUE,CYELLOW); stdp.writeStr("SALIR");

				stdp.refreshScr();
			}
			break;
		}
	}while(tecla != KENTER);

	return(seguir);
}

void Menu::Win(int puntuacion)
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();

	int posX=16;
	int posY=4;
	int tecla = 0;

	stdp.setCursor(posX,posY); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("   _           _   _   _   _       _       _   ");
	stdp.setCursor(posX,posY+1); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("  |_ |"); stdp.writeChar('\\'); stdp.writeStr(" | |_| | | |_| |_| |_| | | |_ |"); stdp.writeChar('\\'); stdp.writeStr(" | |_|  ");
	stdp.setCursor(posX,posY+2); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("  |_ | "); stdp.writeChar('\\'); stdp.writeStr("| | | |_| |"); stdp.writeChar('\\'); stdp.writeStr("  | | |_| |_| |_ | "); stdp.writeChar('\\'); stdp.writeStr("| | |  ");
	stdp.setCursor(posX,posY+3); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("                                               ");

	stdp.setCursor(posX,posY+5); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("TU PUNTUACION HA SIDO DE ");

    stringstream ss;
    ss << puntuacion;
    string resultado=ss.str();

    stdp.writeStr(resultado.c_str());

    stdp.setCursor(posX,posY+7); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("CONSULTA TU POSICION EN EL RANKING");

    stdp.setCursor(posX,posY+9); stdp.setColor(ABOLD,CRED,CWHITE); stdp.writeStr("PULSA ENTER PARA SALIR AL MENU PRINCIPAL");

	stdp.refreshScr();

	do{ tecla=stdp.getKey(); }while(tecla != KENTER);
}

int Menu::Dificultad(Jugador player)
{
	StdPijo& stdp = StdPijo::p();
	stdp.init();

	int tecla = 0;
	int posX=23;
	int posY=4;
	int posicion = 1;
	int opcion = posicion;

	do
	{
		posY=4;

		stdp.clearScreen();
		stdp.setColor(ABOLD,CRED,CBLACK);

		stdp.setCursor(posX,posY); stdp.writeStr(" _     _    _        ___  _   _");
		stdp.setCursor(posX,posY+1); stdp.writeStr("| "); stdp.writeChar('\\'); stdp.writeStr(" | |_ | |  | | |   |  |_| | "); stdp.writeChar('\\');
		stdp.setCursor(posX,posY+2); stdp.writeStr("|_/ | |  | |_ |_| |_  |  | | |_/");

		posY=5;

		stdp.setColor(ANORMAL,CWHITE,CRED);
		stdp.setCursor(posX,posY+4); stdp.writeStr("                                 ");
		stdp.setCursor(posX,posY+5); stdp.writeStr("              FACIL              ");
		stdp.setCursor(posX,posY+6); stdp.writeStr("                                 ");
		stdp.setCursor(posX,posY+7); stdp.writeStr("              NORMAL             ");
		stdp.setCursor(posX,posY+8); stdp.writeStr("                                 ");
		stdp.setCursor(posX,posY+9); stdp.writeStr("              DIFICIL            ");
		stdp.setCursor(posX,posY+10); stdp.writeStr("                                 ");
		stdp.setCursor(posX,posY+11); stdp.writeStr("           MUY DIFICIL           ");
		stdp.setCursor(posX,posY+12); stdp.writeStr("                                 ");
		stdp.refreshScr();

		switch(opcion)
		{
		case 1:
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX,posY+4); stdp.writeStr("                                 ");
			stdp.setCursor(posX,posY+5); stdp.writeStr("            > FACIL <            ");
			stdp.setCursor(posX,posY+6); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.refreshScr();
			posicion=Mover(posicion,4,1);
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 2:
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX,posY+6); stdp.writeStr("                                 ");
			stdp.setCursor(posX,posY+7); stdp.writeStr("            > NORMAL <           ");
			stdp.setCursor(posX,posY+8); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.refreshScr();
			posicion=Mover(posicion,4,player.getDesbNormal());
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 3:
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX,posY+8); stdp.writeStr("                                 ");
			stdp.setCursor(posX,posY+9); stdp.writeStr("            > DIFICIL <          ");
			stdp.setCursor(posX,posY+10); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.refreshScr();
			posicion=Mover(posicion,4,player.getDesbDificil());
			if(posicion != 0) {	opcion = posicion; }
			break;
		case 4:
			stdp.setColor(ABOLD,CRED,CWHITE);
			stdp.setCursor(posX,posY+10); stdp.writeStr("                                 ");
			stdp.setCursor(posX,posY+11); stdp.writeStr("          > MUY DIFICIL <        ");
			stdp.setCursor(posX,posY+12); stdp.writeStr("                                 ");
			stdp.setColor(ANORMAL,CWHITE,CRED);
			stdp.refreshScr();
			posicion=Mover(posicion,4,player.getDesbMDificil());
			if(posicion != 0) {	opcion = posicion; }
			break;
		}
	}while(posicion != 0);
	return opcion;
}

